dnl $Id$
dnl config.m4 for extension mcache


PHP_ARG_WITH(mcache, for mcache support,
[  --with-mcache             Include mcache support])

if test "$PHP_MCACHE" != "no"; then
  dnl # Check that we can find memcache.h in the include path or the specified path
  dnl # --with-mcache -> check with-path
  SEARCH_PATH="/usr/local /usr"
  SEARCH_FOR="memcache.h"  
  if test -r $PHP_MCACHE/; then
    MCACHE_DIR=$PHP_MCACHE
  else 
    AC_MSG_CHECKING([for libmemcache files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/include/$SEARCH_FOR; then
        MCACHE_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
 
  if test -z "$MCACHE_DIR"; then
    AC_MSG_RESULT([libmemcache not found])
    AC_MSG_ERROR([Please reinstall the libmemcache distribution])
  fi

  dnl # --with-mcache -> check for lib and symbol presence
  LIBNAME=memcache
  LIBSYMBOL=mcm_err_filter_add

   PHP_CHECK_LIBRARY($LIBNAME, $LIBSYMBOL,
   [
     PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $MCACHE_DIR/lib, MCACHE_SHARED_LIBADD)
	 PHP_ADD_INCLUDE($MCACHE_DIR/include)
     AC_DEFINE(HAVE_MCACHELIB,1,[ ])
   ],[
     AC_MSG_ERROR([wrong libmemcache lib version or lib not found])
   ],[
     -L$MCACHE_DIR/lib $MCACHE_SHARED_LIBADD
   ])
  
  PHP_SUBST(MCACHE_SHARED_LIBADD)

  PHP_NEW_EXTENSION(mcache, mcache.c, $ext_shared)
fi
